Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.cmp.jdbc
Class JDBCCommandFactory

    java.lang.Object
      org.jboss.ejb.plugins.cmp.jdbc.JDBCCommandFactory

public class JDBCCommandFactory
extends Object

JDBCCommandFactory creates all required CMP command and some JDBC specific commands. This class should not store any data, which should be put in the store manager.

Version:
  $Revision: 1.26.4.1 $
Author:
  Dain Sundstrom, Justin Forder, danch (Dan Christopherson, Alex Loubyansky

Constructor Summary
`JDBCCommandFactory(JDBCStoreManager manager)`

Method Summary
`JDBCActivateEntityCommand` | `createActivateEntityCommand()`
`JDBCCreateBeanClassInstanceCommand` | `createCreateBeanClassInstanceCommand()`
`JDBCCreateCommand` | `createCreateEntityCommand()`
`JDBCQueryCommand` | `createDeclaredSQLQuery(JDBCQueryMetaData q)`
`JDBCDeleteRelationsCommand` | `createDeleteRelationsCommand()`
`JDBCDestroyCommand` | `createDestroyCommand()`
`JDBCQueryCommand` | `createDynamicQLQuery(JDBCQueryMetaData q)`
`JDBCQueryCommand` | `createEJBQLQuery(JDBCQueryMetaData q)`
`JDBCQueryCommand` | `createFindAllQuery(JDBCQueryMetaData q)`
`JDBCQueryCommand` | `createFindByPrimaryKeyQuery(JDBCQueryMetaData q)`
`JDBCQueryCommand` | `createFindByQuery(JDBCQueryMetaData q)`
`JDBCFindEntitiesCommand` | `createFindEntitiesCommand()`
`JDBCFindEntityCommand` | `createFindEntityCommand()`
`JDBCInitCommand` | `createInitCommand()`
`JDBCInitEntityCommand` | `createInitEntityCommand()`
`JDBCInsertRelationsCommand` | `createInsertRelationsCommand()`
`JDBCIsModifiedCommand` | `createIsModifiedCommand()`
`JDBCQueryCommand` | `createJBossQLQuery(JDBCQueryMetaData q)`
`JDBCLoadEntityCommand` | `createLoadEntityCommand()`
`JDBCLoadRelationCommand` | `createLoadRelationCommand()`
`JDBCPassivateEntityCommand` | `createPassivateEntityCommand()`
`JDBCPostCreateEntityCommand` | `createPostCreateEntityCommand()`
`JDBCRemoveEntityCommand` | `createRemoveEntityCommand()`
`JDBCStartCommand` | `createStartCommand()`
`JDBCStopCommand` | `createStopCommand()`
`JDBCStoreEntityCommand` | `createStoreEntityCommand()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDBCCommandFactory

    public JDBCCommandFactory(JDBCStoreManager manager)
                       throws Exception

Method Detail

### createFindByPrimaryKeyQuery

    public JDBCQueryCommand createFindByPrimaryKeyQuery(JDBCQueryMetaData q)
                                                 throws org.jboss.deployment.DeploymentException

  Throws:
    `org.jboss.deployment.DeploymentException`

### createFindAllQuery

    public JDBCQueryCommand createFindAllQuery(JDBCQueryMetaData q)

### createDeclaredSQLQuery

    public JDBCQueryCommand createDeclaredSQLQuery(JDBCQueryMetaData q)
                                            throws org.jboss.deployment.DeploymentException

  Throws:
    `org.jboss.deployment.DeploymentException`

### createEJBQLQuery

    public JDBCQueryCommand createEJBQLQuery(JDBCQueryMetaData q)
                                      throws org.jboss.deployment.DeploymentException

  Throws:
    `org.jboss.deployment.DeploymentException`

### createDynamicQLQuery

    public JDBCQueryCommand createDynamicQLQuery(JDBCQueryMetaData q)
                                          throws org.jboss.deployment.DeploymentException

  Throws:
    `org.jboss.deployment.DeploymentException`

### createJBossQLQuery

    public JDBCQueryCommand createJBossQLQuery(JDBCQueryMetaData q)
                                        throws org.jboss.deployment.DeploymentException

  Throws:
    `org.jboss.deployment.DeploymentException`

### createFindByQuery

    public JDBCQueryCommand createFindByQuery(JDBCQueryMetaData q)
                                       throws IllegalArgumentException

  Throws:
    `IllegalArgumentException`

### createLoadRelationCommand

    public JDBCLoadRelationCommand createLoadRelationCommand()

### createDeleteRelationsCommand

    public JDBCDeleteRelationsCommand createDeleteRelationsCommand()

### createInsertRelationsCommand

    public JDBCInsertRelationsCommand createInsertRelationsCommand()

### createInitCommand

    public JDBCInitCommand createInitCommand()

### createStartCommand

    public JDBCStartCommand createStartCommand()

### createStopCommand

    public JDBCStopCommand createStopCommand()

### createDestroyCommand

    public JDBCDestroyCommand createDestroyCommand()

### createCreateBeanClassInstanceCommand

    public JDBCCreateBeanClassInstanceCommand createCreateBeanClassInstanceCommand()
                                                                            throws Exception

  Throws:
    `Exception`

### createInitEntityCommand

    public JDBCInitEntityCommand createInitEntityCommand()

### createFindEntityCommand

    public JDBCFindEntityCommand createFindEntityCommand()

### createFindEntitiesCommand

    public JDBCFindEntitiesCommand createFindEntitiesCommand()

### createCreateEntityCommand

    public JDBCCreateCommand createCreateEntityCommand()
                                                throws org.jboss.deployment.DeploymentException

  Throws:
    `org.jboss.deployment.DeploymentException`

### createPostCreateEntityCommand

    public JDBCPostCreateEntityCommand createPostCreateEntityCommand()

### createRemoveEntityCommand

    public JDBCRemoveEntityCommand createRemoveEntityCommand()
                                                      throws org.jboss.deployment.DeploymentException

  Throws:
    `org.jboss.deployment.DeploymentException`

### createLoadEntityCommand

    public JDBCLoadEntityCommand createLoadEntityCommand()
                                                  throws org.jboss.deployment.DeploymentException

  Throws:
    `org.jboss.deployment.DeploymentException`

### createIsModifiedCommand

    public JDBCIsModifiedCommand createIsModifiedCommand()

### createStoreEntityCommand

    public JDBCStoreEntityCommand createStoreEntityCommand()

### createActivateEntityCommand

    public JDBCActivateEntityCommand createActivateEntityCommand()

### createPassivateEntityCommand

    public JDBCPassivateEntityCommand createPassivateEntityCommand()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.